FT-684 introduced upgrade regression

Description

As reported via email from Rich P.

The logic in log_upgrade.cc for log version upgradability is incorrect.

Environment

None

Activity

Show:
George Lorch
April 29, 2016, 7:53 PM
George Lorch
April 25, 2016, 7:57 PM

Actually, this was broken in first, only advanced the log version by one to expose the previously introduced issue. Quite a simple fix as it is in logic only for figuring if we can upgrade from the version on disk to the current version.

Fixed

Assignee

George Lorch

Reporter

George Lorch

External issue ID

None

Freshdesk Tickets

None

Priority

Major